# -*- coding: utf-8 -*-

from django.contrib import admin

from registration.models import BranchCampusInfo, BranchCampusAdministratorInfo, CourseInfo, CourseRegisterFieldInfo, CourseRegisterInfo


class BranchCampusInfoAdmin(admin.ModelAdmin):
    list_display = ('campus_id', 'campus_name', 'updated_at', 'created_at')


class BranchCampusAdministratorInfoAdmin(admin.ModelAdmin):
    list_display = ('admin_id', 'campus_id', 'campus_name', 'name', 'phone', 'user_status', 'updated_at', 'created_at')


class CourseInfoAdmin(admin.ModelAdmin):
    list_display = ('course_id', 'course_name', 'updated_at', 'created_at')


class CourseRegisterFieldInfoAdmin(admin.ModelAdmin):
    list_display = ('field_id', 'course_id', 'course_name', 'fields', 'updated_at', 'created_at')


class CourseRegisterInfoAdmin(admin.ModelAdmin):
    list_display = ('field_id', 'course_id', 'course_name', 'fields', 'updated_at', 'created_at')


admin.site.register(BranchCampusInfo, BranchCampusInfoAdmin)
admin.site.register(BranchCampusAdministratorInfo, BranchCampusAdministratorInfoAdmin)
admin.site.register(CourseInfo, CourseInfoAdmin)
admin.site.register(CourseRegisterFieldInfo, CourseRegisterFieldInfoAdmin)
admin.site.register(CourseRegisterInfo, CourseRegisterInfoAdmin)
